Summary: Execution wrapper for non-X applications
Name: OffiX-Execute
Version: 2.4a
Release: 5
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Execute-2.4a.tar.gz
Source1: offix-execute.wmconfig
Patch: Execute-2.4a-Xaw3d-patch
BuildRoot: /var/tmp/OffiX-Execute-build
Group: X11/Applications

%description
Execute is a simple tool that work as a wrapper to non-X applications. It
redirects stdout/stderr of application to an X window. From that window the
user is able to abort the running program, to quit completely or to restart
the application.


%prep
%setup -q -n Execute-2.4a
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 755 -s execute $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 644 Execute.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Execute

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/offix-execute.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/offix-execute

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
/usr/X11R6/bin/execute
%config /usr/X11R6/lib/X11/app-defaults/Execute
/etc/X11/wmconfig/offix-execute

%changelog
* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2
- cleaned up spec file

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated spec file and inspected source

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and cleaned it up
